umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
Uml::CmdRenameUMLObject Class Reference

`#include <cmdrenameumlobject.h>`

Inheritance diagram for Uml::CmdRenameUMLObject:

## Public Member Functions
| CmdRenameUMLObject (UMLObject *o, const QString &name)
| ~CmdRenameUMLObject ()
void | redo ()
void | undo ()

## Private Attributes
UMLObject * | m_obj
QString | m_name
QString | m_oldname

## Constructor & Destructor Documentation

## ◆ CmdRenameUMLObject()

Uml::CmdRenameUMLObject::CmdRenameUMLObject | ( | UMLObject * | o,
|  | const QString & | name )

## ◆ ~CmdRenameUMLObject()

Uml::CmdRenameUMLObject::~CmdRenameUMLObject | ( |  | ) |

## Member Function Documentation

## ◆ redo()

void Uml::CmdRenameUMLObject::redo | ( |  | ) |

## ◆ undo()

void Uml::CmdRenameUMLObject::undo | ( |  | ) |

## Member Data Documentation

## ◆ m_name

QString Uml::CmdRenameUMLObject::m_name
| private

## ◆ m_obj

UMLObject* Uml::CmdRenameUMLObject::m_obj
| private

## ◆ m_oldname

QString Uml::CmdRenameUMLObject::m_oldname
| private

The documentation for this class was generated from the following files:

- umbrello/cmds/generic/cmdrenameumlobject.h
- umbrello/cmds/generic/cmdrenameumlobject.cpp